"{ Package: 'exept:regression' }"

"{ NameSpace: RegressionTests }"

TestCase subclass:#ImageReaderTest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'tests-Regression'
!

!ImageReaderTest class methodsFor:'documentation'!

documentation
"
    documentation to be added.

    [author:]
        cg (cg@AQUA-DUO)

    [instance variables:]

    [class variables:]

    [see also:]

"
! !

!ImageReaderTest methodsFor:'tests'!

test01
    |img|

    img := Image fromFile:(self class packageDirectory construct:'testData/test1.bmp').
    self assert:(img notNil).
    "/ img inspect.

    self assert:((img colorAtX:0 y:0) rgbValue = 16r4040FF).
    self assert:((img colorAtX:0 y:63) rgbValue = 16r4040FF).
    self assert:((img colorAtX:0 y:18) rgbValue = 16r40FF40).

    "
     self run:#test01
     self new test01
    "
!

test02
    |img|

    img := Image fromFile:(self class packageDirectory construct:'testData/test4.bmp').
    self assert:(img notNil).
    "/ img inspect.

    "
     self run:#test02
     self new test02
    "
!

test03
    |img|

    img := Image fromFile:(self class packageDirectory construct:'testData/test8.bmp').
    self assert:(img notNil).
    "/ img inspect

    "
     self run:#test03
     self new test03
    "
!

test04
    |img|

    img := Image fromFile:(self class packageDirectory construct:'testData/testcompress4.bmp').
    self assert:(img notNil).
    "/ img inspect.

    "
     self run:#test04
     self new test04
    "
!

test05
    |img|

    img := Image fromFile:(self class packageDirectory construct:'testData/testcompress8.bmp').
    self assert:(img notNil).
    "/ img inspect.

    "
     self run:#test05
     self new test05
    "
!

test06
    |img|

    img := Image fromFile:(self class packageDirectory construct:'testData/test8os2.bmp').
    self assert:(img notNil).
    "/ img inspect.

    "
     self run:#test06
     self new test06
    "
!

test07
    |img|

    img := Image fromFile:(self class packageDirectory construct:'testData/test4os2v2.bmp').
    self assert:(img notNil).
    "/ img inspect.

    "
     self run:#test07
     self new test07
    "
!

test08
    |img|

    img := Image fromFile:(self class packageDirectory construct:'testData/test16.bmp').
    self assert:(img notNil).
    "/ img inspect.

    "
     self run:#test08
     self new test08
    "
!

test09
    |img|

    img := Image fromFile:(self class packageDirectory construct:'testData/test24.bmp').
    self assert:(img notNil).
    "/ img inspect.

    "
     self run:#test09
     self new test09
    "
!

test10
    |img|

    img := Image fromFile:(self class packageDirectory construct:'testData/test32.bmp').
    self assert:(img notNil).
    "/ img inspect.

    "
     self run:#test10
     self new test10
    "
!

test_png_01
    |img|

    (self class packageDirectory construct:'testData/pngImages') directoryContentsAsFilenamesDo:[:f |
        img := Image fromFile:f.
        self assert:(img notNil).
    ].

    "
     self run:#test_png_01
     self new test_png_01
    "
!

test_png_02
    |referenceImg img|

    img := Image fromFile:(self class packageDirectory construct:'testData/pngImages/basn0g01.png').
    self assert:(img notNil).

    referenceImg := (Depth1Image new) width: 32; height: 32; 
                            photometric:(#palette); 
                            bitsPerSample:(#[1]); 
                            samplesPerPixel:(1); 
                            bits:(ByteArray fromPackedString:'
?????/????3????8????<OO3?>C3<??@<?O? OL3?0C3L?8@<3O<@O G>@C8A?@@?L? @O3O0@C??8@@??<@@O?>@@C??@@@?? O8O?0C>C?8@00?<@LLO>@
C>C?@@? ? @LLO0@CCC8@@? <@@O8N@@@@C@@@@@ @@@@@@@@@@b') ; 
                            colorMapFromArray:#[0 0 0 255 255 255]; 
                            yourself.

    self assert:(img asImageWithDepth:1) = (referenceImg asImageWithDepth:1).

    "
     self run:#test_png_02
     self new test_png_02
    "
! !

!ImageReaderTest class methodsFor:'documentation'!

version
    ^ '$Header$'
! !
